- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ss_3par_cpg – Manage HPE StoreServ 3PAR CPG

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create and delete CPG on HPE 3PAR.

## Requirements

The below requirements are needed on the host that executes this module.

- hpe3par_sdk >= 1.0.2. Install using ‘pip install hpe3par_sdk’

- WSAPI service should be enabled on the 3PAR storage array.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cpg_name string / required |  | Name of the CPG.
disk_type string | Choices: FC NL SSD | Specifies that physical disks must have the specified device type.
domain string |  | Specifies the name of the domain in which the object will reside.
growth_increment string |  | Specifies the growth increment(in MiB, GiB or TiB) the amount of logical disk storage created on each auto-grow operation.
growth_limit string |  | Specifies that the autogrow operation is limited to the specified storage amount that sets the growth limit(in MiB, GiB or TiB).
growth_warning string |  | Specifies that the threshold(in MiB, GiB or TiB) of used logical disk space when exceeded results in a warning alert.
high_availability string | Choices: PORT CAGE MAG | Specifies that the layout must support the failure of one port pair, one cage, or one magazine.
raid_type string | Choices: R0 R1 R5 R6 | Specifies the RAID type for the logical disk.
secure boolean | Choices: no ← yes | Specifies whether the certificate needs to be validated while communicating.
set_size integer |  | Specifies the set size in the number of chunklets.
state string / required | Choices: present absent | Whether the specified CPG should exist or not.
storage_system_ip string / required |  | The storage system IP address.
storage_system_password string / required |  | The storage system password.
storage_system_username string / required |  | The storage system user name.

## Notes

Note

- check_mode not supported

## Examples

    - name: Create CPG sample_cpg
      ss_3par_cpg:
        storage_system_ip: 10.10.10.1
        storage_system_username: username
        storage_system_password: password
        state: present
        cpg_name: sample_cpg
        domain: sample_domain
        growth_increment: 32000 MiB
        growth_limit: 64000 MiB
        growth_warning: 48000 MiB
        raid_type: R6
        set_size: 8
        high_availability: MAG
        disk_type: FC
        secure: no

    - name: Delete CPG sample_cpg
      ss_3par_cpg:
        storage_system_ip: 10.10.10.1
        storage_system_username: username
        storage_system_password: password
        state: absent
        cpg_name: sample_cpg
        secure: no

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Farhan Nomani (@farhan7500)

- Gautham P Hegde (@gautamphegde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.